Проблемы с компиляцией ядра

Аватар пользователя small

ядро скомпилировал но есть проблемы с его установкой
подскажите что он от меня хочет
всем спасибо

[root@ModSash i686]# ls
kernel-2.6.20-1.2320.0.i686.rpm kernel-smp-2.6.20-1.2320.0.i686.rpm
kernel-debuginfo-2.6.20-1.2320.0.i686.rpm kernel-smp-devel-2.6.20-1.2320.0.i686.rpm
kernel-devel-2.6.20-1.2320.0.i686.rpm
[root@ModSash i686]# f=($(ls))
[root@ModSash i686]# echo ${f[0]}
kernel-2.6.20-1.2320.0.i686.rpm
[root@ModSash i686]# rpm -ivh ${f[0]}
ошибка: Неудовлетворенные зависимости:
mkinitrd >= 4.2.21-1 нужен для kernel-2.6.20-1.2320.0.i686
ppp < 2.4.3-3 конфликтует сkernel-2.6.20-1.2320.0.i686
isdn4k-utils < 3.2-32 конфликтует сkernel-2.6.20-1.2320.0.i686
oprofile < 0.9.1-2 конфликтует сkernel-2.6.20-1.2320.0.i686
kudzu < 1.1.122 конфликтует сkernel-2.6.20-1.2320.0.i686
udev < 063-6 конфликтует сkernel-2.6.20-1.2320.0.i686
lirc < 0.8.0 конфликтует сkernel-2.6.20-1.2320.0.i686
[root@ModSash i686]#

Аватар пользователя Meloman

Проблемы с компиляцией ядра

Видимо, нужно установить пакет mkinitrd >= 4.2.21-1 , и удалить все конфликтующие.

Аватар пользователя small

Re: Проблемы с компиляцией ядра

а если их обновить, должно помочь?

Аватар пользователя DRVTiny

Проблемы с компиляцией ядра

Сначала поставьте mkinitrd, затем насильно (rpm -ivhp --nodeps) прикрутите ядро, а после этого в обычном порядке обновите ppp,isdn4k-utils,oprofile,kudzu,udev,lirc. По крайней мере это будет работать.
P.S. Кстати, лихо Вы с BASH'ем управляетесь!

RSS-материал